# Sobre un unico archivo
#    kubectl create configmap example-redis-config --from-file=redis-config
#    kubectl describe configmap example-redis-config
#    kubectl apply -f configMapTestEnv.yaml // Se crea el pod con configmap mediante volumes
# con la linea command se va a mostrar la configuracion de env al momento de iniciar el pod
# ver la variable de entorno luego del monate:..... kubectl logs test-pod
#...................................................kubectl logs test-pod | grep SPECIAL
# eliminar configMap .........kubectl delete configmap example-redis-config
# eliminar pod................kubectl delete pod test-pod

apiVersion: v1
kind: Pod
metadata:
  name: test-pod
spec:
  containers:
  - name: test-container
    image: k8s.gcr.io/busybox
    command: [ "/bin/sh", "-c", "env" ]
    env:
      - name: SPECIAL_LEVEL_LEY
        valueFrom:
          configMapKeyRef:
            name: example-redis-config
            key: redis-config
  restartPolicy: Never